<bugID>587615<Summary>lastTimestamp reset problems in WebConsole</Summary><Description>In JSTerm.clearOutput() and HUDService.clearDisplay() we have:

  outputNode.lastTimestamp = 0;

While in other places of the code hudBox.lastTimestamp is used. The appendGroupIfNecessary method uses hudBox.lastTimestamp, not outputNode.lastTimestamp.

From the perspective of the user, I am not aware of a bug that is caused by this error in the code. However, I believe this is a bug that will catch us some day.</Description></bugID>